Skip to main content
PUT
/
voices
/
:id
curl -X PUT https://api.60db.ai/voices/voice-custom-123 \
  -H "Authorization: Bearer your-api-key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Updated Voice Name",
    "description": "Updated description"
  }'
{
  "id": "voice-custom-123",
  "name": "Updated Voice Name",
  "description": "Updated description",
  "updated_at": "2026-01-29T11:35:00Z"
}

Request

Path Parameters

id
string
required
The unique identifier of the voice

Headers

Authorization
string
required
Bearer token with your API key
Content-Type
string
required
application/json

Body

name
string
Updated voice name
description
string
Updated description
Only custom voices can be updated. System voices cannot be modified.

Response

id
string
Voice identifier
name
string
Updated voice name
description
string
Updated description
updated_at
string
ISO 8601 timestamp
curl -X PUT https://api.60db.ai/voices/voice-custom-123 \
  -H "Authorization: Bearer your-api-key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Updated Voice Name",
    "description": "Updated description"
  }'
{
  "id": "voice-custom-123",
  "name": "Updated Voice Name",
  "description": "Updated description",
  "updated_at": "2026-01-29T11:35:00Z"
}